
package com.tmerclub.cloud.api.delivery.vo;

import com.tmerclub.cloud.api.delivery.dto.StationSalesDTO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 自提点信息VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
public class StationVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "自提点id")
    private Long stationId;

    @Schema(description = "关联店铺id")
    private Long shopId;

    @Schema(description = "关联店铺名称")
    private String shopName;

    @Schema(description = "自提点名称")
    private String stationName;

    @Schema(description = "自提点图片")
    private String imgUrl;

    @Schema(description = "电话区号")
    private String mobilePrefix;

    @Schema(description = "手机/电话号码")
    private String mobile;

    @Schema(description = "省ID")
    private Long provinceId;

    @Schema(description = "省")
    private String province;

    @Schema(description = "城市ID")
    private Long cityId;

    @Schema(description = "城市")
    private String city;

    @Schema(description = "区ID")
    private Long areaId;

    @Schema(description = "区")
    private String area;

    @Schema(description = "邮编")
    private String postCode;

    @Schema(description = "地址")
    private String addr;

    @Schema(description = "经度")
    private Double lng;

    @Schema(description = "纬度")
    private Double lat;

    @Schema(description = "时间数据")
    private String timeInfo;

    @Schema(description = "0:关闭 1:营业 2:强制关闭 3:审核中 4:审核失败")
    private Integer status;

    @Schema(description = "账号名")
    private String account;

    @Schema(description = "销售数据")
    private List<StationSalesDTO> stationSalesDTOList;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "库存模式 参考StockModeEnum")
    private Integer stockMode;

    public Integer getStockMode() {
        return stockMode;
    }

    public void setStockMode(Integer stockMode) {
        this.stockMode = stockMode;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public Long getShopId() {
        return shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getMobilePrefix() {
        return mobilePrefix;
    }

    public void setMobilePrefix(String mobilePrefix) {
        this.mobilePrefix = mobilePrefix;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public String getTimeInfo() {
        return timeInfo;
    }

    public void setTimeInfo(String timeInfo) {
        this.timeInfo = timeInfo;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public List<StationSalesDTO> getStationSalesDTOList() {
        return stationSalesDTOList;
    }

    public void setStationSalesDTOList(List<StationSalesDTO> stationSalesDTOList) {
        this.stationSalesDTOList = stationSalesDTOList;
    }

    @Override
    public String toString() {
        return "StationVO{" +
                "stationId=" + stationId +
                ", shopId=" + shopId +
                ", shopName='" + shopName + '\'' +
                ", stationName='" + stationName + '\'' +
                ", imgUrl='" + imgUrl + '\'' +
                ", mobilePrefix='" + mobilePrefix + '\'' +
                ", mobile='" + mobile + '\'' +
                ", provinceId=" + provinceId +
                ", province='" + province + '\'' +
                ", cityId=" + cityId +
                ", city='" + city + '\'' +
                ", areaId=" + areaId +
                ", area='" + area + '\'' +
                ", postCode='" + postCode + '\'' +
                ", addr='" + addr + '\'' +
                ", lng=" + lng +
                ", lat=" + lat +
                ", timeInfo='" + timeInfo + '\'' +
                ", status=" + status +
                ", account='" + account + '\'' +
                ", stationSalesDTOList=" + stationSalesDTOList +
                ", stock=" + stock +
                ", stockMode=" + stockMode +
                '}';
    }
}
